# $Revision: 1.17 $, $Date: 2010/06/12 00:21:35 $
Summary:	A library that performs asynchronous DNS operations
Summary(pl.UTF-8):	Biblioteka do wykonywania asynchronicznych zapytań DNS
Name:		c-ares
Version:	1.7.3
Release:	1
License:	MIT
Group:		Libraries
Source0:	http://c-ares.haxx.se/%{name}-%{version}.tar.gz
# Source0-md5:	97ebef758804a6e9b6c0bc65d3c2c25a
Patch0:		%{name}-resolv.conf-reading-is-not-fatal.patch
URL:		http://daniel.haxx.se/projects/c-ares/
BuildRequires:	autoconf >= 2.57
BuildRequires:	automake
BuildRequires:	libtool
BuildRequires:	sed >= 4.0
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
c-ares is a C library that performs DNS requests and name resolves
asynchronously. c-ares is a fork of the library named 'ares', written
by Greg Hudson at MIT.

%description -l pl.UTF-8
c-ares jest napisaną w C biblioteką do asynchronicznego wykonywania
zapytań DNS. c-ares jest to fork biblioteki 'ares' napisanej przez
Grega Hudsona w MIT.

%package devel
Summary:	Development files for c-ares library
Summary(pl.UTF-8):	Pliki nagłówkowe dla biblioteki c-ares
Group:		Development/Libraries
Requires:	%{name} = %{version}-%{release}

%description devel
Header files for c-ares library.

%description devel -l pl.UTF-8
Pliki nagłówkowe biblioteki c-ares.

%package static
Summary:	Static c-ares library
Summary(pl.UTF-8):	Statyczna biblioteka c-ares
Group:		Development/Libraries
Requires:	%{name}-devel = %{version}-%{release}

%description static
Static c-ares library.

%description static -l pl.UTF-8
Statyczna biblioteka c-ares.

%prep
%setup -q
%patch0 -p1

# we want our own debug flags, if any
sed -i -e 's/flags_dbg_off=".*"/flags_dbg_off="%{rpmcflags}"/' m4/cares-compilers.m4
sed -i -e 's/flags_opt_yes=".*"/flags_opt_yes="%{rpmcflags}"/' m4/cares-compilers.m4

%build
%{__libtoolize}
%{__aclocal} -I m4
%{__autoheader}
%{__autoconf}
%{__automake}
%configure \
	--enable-optimize="%{rpmcflags}" \
	--enable-shared

%{__make}

%install
rm -rf $RPM_BUILD_ROOT
%{__make} install \
	DESTDIR=$RPM_BUILD_ROOT

%clean
rm -rf $RPM_BUILD_ROOT

%post	-p /sbin/ldconfig
%postun	-p /sbin/ldconfig

%files
%defattr(644,root,root,755)
%doc README README.cares CHANGES NEWS
%attr(755,root,root) %{_libdir}/libcares.so.*.*.*
%attr(755,root,root) %ghost %{_libdir}/libcares.so.2

%files devel
%defattr(644,root,root,755)
%attr(755,root,root) %{_libdir}/libcares.so
%{_libdir}/libcares.la
%{_includedir}/ares.h
%{_includedir}/ares_build.h
%{_includedir}/ares_dns.h
%{_includedir}/ares_rules.h
%{_includedir}/ares_version.h
%{_mandir}/man3/ares_*.3*
%{_pkgconfigdir}/libcares.pc

%files static
%defattr(644,root,root,755)
%{_libdir}/libcares.a

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: c-ares.spec,v $
Revision 1.17  2010/06/12 00:21:35  aredridel
- 1.7.3

Revision 1.16  2010/06/05 19:32:18  pawelz
- macros overdoze

Revision 1.15  2010/06/05 19:31:29  pawelz
- up to 20100605

Revision 1.14  2010/05/23 14:24:50  aredridel
- 1.7.1-post snapshot, for ares_parse_mx etc

Revision 1.13  2010/05/21 20:05:30  qboosh
- ac version

Revision 1.12  2010/04/24 02:23:50  aredridel
- 1.7.1

Revision 1.11  2010/02/07 17:20:43  glen
- up to 1.7.0

Revision 1.10  2010/02/07 13:06:50  glen
- treat not readable resolv.conf (and other /etc files) as if it was empty, not give out fatal error on it
- so curl-libs -> python-pycurl -> python-urlgrabber could be built on our builders
  see http://lists.pld-linux.org/mailman/pipermail/pld-cvs-commit/Week-of-Mon-20100201/265667.html
- rel 2

Revision 1.9  2010/02/07 13:01:23  glen
- build with our debugflags to get proper debuginfo package

Revision 1.8  2009/01/21 19:04:51  arekm
- up to 1.6.0

Revision 1.7  2007-12-27 02:12:54  zbyniu
- up to 1.5.1

Revision 1.6  2007-02-12 21:23:50  glen
- tabs in preamble

Revision 1.5  2007/02/12 01:06:41  baggins
- converted to UTF-8

Revision 1.4  2007/02/11 19:58:12  ankry
- fixed pl summary

Revision 1.3  2006/12/25 13:46:11  arekm
- up to 1.3.2

Revision 1.2  2006/04/26 19:58:43  qboosh
- typos

Revision 1.1  2006/04/23 15:25:21  adamg
- new
